version: '3'
services:

  php-7.3:
    volumes:
      - "./src:/workdir/src:ro"
      - "./tests:/workdir/tests:ro"
      - "./composer.json:/workdir/composer.json:ro"
    build:
      context: .
      dockerfile: Dockerfile-tests
      args:
        IMAGE: php:7.3-cli-alpine
        PACKAGES: git zip unzip icu-dev
        PHPMODS: intl
    command: ["--testdox"]
